LinuxQMISDK: SetAudioPathConfigReq Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
SetAudioPathConfigReq Struct Reference

## Data Fields
BYTE | Profile
BYTE * | pECMode
BYTE * | pNSEnable
WORD * | pTXGain
WORD * | pDTMFTXGain
WORD * | pCodecSTGain
TXPCMIIRFltr * | pTXPCMIIRFltr
RXPCMIIRFltr * | pRXPCMIIRFltr
BYTE * | pRXAVCAGCSwitch
BYTE * | pTXAVCSwitch
RXAGCList * | pRXAGCList
RXAVCList * | pRXAVCList
TXAGCList * | pTXAGCList

## Detailed Description

This structure contains the SLQSSetAudioPathConfig request parameters.

Parameters

  Profile | [Mandatory] Audio Profile 0-9
  pECMode | [Optional] AV_EC 0 - Echo cancellation off 1 - Handset echo mode 2 - Headset mode 3 - Car kit mode 4 - Speaker Mode
  pNSEnable | [Optional] Noise Suppression 0 - Noise suppression off 1 - Noise suppression on
  pTXGain | [Optional] TX Voice volume 0x0000 - 0xffff
  pDTMFTXGain | [Optional] AV_DTMFTXG 0x0000 - 0xffff
  pCodecSTGain | [Optional] AV_CODECSTG 0x0000 - 0xffff
  pTXPCMIIRFltr | [Optional] See TXPCMIIRFltr for more information
  pRXPCMIIRFltr | [Optional] See RXPCMIIRFltr for more information
  pRXAVCAGCSwitch | [Optional] RX AVC/AGC Switch
  pTXAVCSwitch | [Optional] TX AVC Switch
  pRXAGCList | [Optional] See RXAGCList for more information
  pRXAVCList | [Optional] See RXAVCList for more information
  pTXAGCList | [Optional] See TXAGCList for more information

## Field Documentation

WORD* SetAudioPathConfigReq::pCodecSTGain

WORD* SetAudioPathConfigReq::pDTMFTXGain

BYTE* SetAudioPathConfigReq::pECMode

BYTE* SetAudioPathConfigReq::pNSEnable

BYTE SetAudioPathConfigReq::Profile

RXAGCList* SetAudioPathConfigReq::pRXAGCList

BYTE* SetAudioPathConfigReq::pRXAVCAGCSwitch

RXAVCList* SetAudioPathConfigReq::pRXAVCList

RXPCMIIRFltr* SetAudioPathConfigReq::pRXPCMIIRFltr

TXAGCList* SetAudioPathConfigReq::pTXAGCList

BYTE* SetAudioPathConfigReq::pTXAVCSwitch

WORD* SetAudioPathConfigReq::pTXGain

TXPCMIIRFltr* SetAudioPathConfigReq::pTXPCMIIRFltr